## org.gnu.gtk
Class SelectionMode

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.SelectionMode

public class SelectionMode
extends Enum

Determines how elements of a `TreeView` widget may be selected. This is set using `TreeSelection.setMode(SelectionMode)` on the tree selection of the tree view.

Field Summary
`static SelectionMode` `BROWSE` Exactly one item is always selected.
`static SelectionMode` `MULTIPLE` Anything between no item and all items can be selected.
`static SelectionMode` `NONE` No items can be selected.
`static SelectionMode` `SINGLE` No more than one item can be selected.

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`SelectionMode` `and(SelectionMode other)`
`static SelectionMode` `intern(int value)`
`SelectionMode` `or(SelectionMode other)`
`boolean` `test(SelectionMode other)`
`SelectionMode` `xor(SelectionMode other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final SelectionMode NONE

  No items can be selected.

### SINGLE

    public static final SelectionMode SINGLE

  No more than one item can be selected.

### BROWSE

    public static final SelectionMode BROWSE

  Exactly one item is always selected.

### MULTIPLE

    public static final SelectionMode MULTIPLE

  Anything between no item and all items can be selected.

Method Detail

### intern

    public static SelectionMode intern(int value)

### or

    public SelectionMode or(SelectionMode other)

### and

    public SelectionMode and(SelectionMode other)

### xor

    public SelectionMode xor(SelectionMode other)

### test

    public boolean test(SelectionMode other)